From 3afe803e0f611e11882832b408407605993015ef Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Mon, 8 Aug 2022 21:01:39 -0700
Subject: [PATCH v12 06/15] meson: prereq: Fix warning
 compat_informix/rnull.pgc with msvc

src/interfaces/ecpg/test/compat_informix/rnull.pgc(19,1): warning C4305: 'initializing': truncation from 'double' to 'float'

The more obvious fix would be an 'f' suffix, but ecpg can't parse that.
---
 src/interfaces/ecpg/test/compat_informix/rnull.pgc        | 2 +-
 src/interfaces/ecpg/test/expected/compat_informix-rnull.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/interfaces/ecpg/test/compat_informix/rnull.pgc b/src/interfaces/ecpg/test/compat_informix/rnull.pgc
index a6ad35e3bc9..232629fcd4a 100644
--- a/src/interfaces/ecpg/test/compat_informix/rnull.pgc
+++ b/src/interfaces/ecpg/test/compat_informix/rnull.pgc
@@ -16,7 +16,7 @@ int main(void)
 	$short s = 17;
 	$int i = -74874;
 	$bool b = 1;
-	$float f = 3.71;
+	$float f = (float) 3.71;
 	$long l = 487444;
 	$double dbl = 404.404;
 	$decimal dec;
diff --git a/src/interfaces/ecpg/test/expected/compat_informix-rnull.c b/src/interfaces/ecpg/test/expected/compat_informix-rnull.c
index d7ba69c1fbf..3efb2be117b 100644
--- a/src/interfaces/ecpg/test/expected/compat_informix-rnull.c
+++ b/src/interfaces/ecpg/test/expected/compat_informix-rnull.c
@@ -58,7 +58,7 @@ int main(void)
 
 	
 #line 19 "rnull.pgc"
- float f = 3.71 ;
+ float f = ( float ) 3.71 ;
 
 #line 19 "rnull.pgc"
 
-- 
2.37.0.3.g30cc8d0f14

